import { ComponentPropsWithoutRef, ReactNode } from 'react';
import { ImgData, SizeLS } from "../../constants/types/global";
import { CustomCssPropsType } from "../../constants/types/styled";
export type Variant = 'filled' | 'outlined' | 'text';
export type Corner = 'round' | 'square';
export type ButtonStyle = {
    variant?: Variant;
    size?: SizeLS;
    corner?: Corner;
    customStyle?: {
        maxWidth?: string;
    } & CustomCssPropsType;
};
export type ButtonDataProps = {
    icon?: ImgData;
    children: string | ReactNode;
};
export type HTMLButtonProps = ComponentPropsWithoutRef<'button'>;
export type HocButtonData = {
    icon?: ImgData;
    text: string;
} & HTMLButtonProps;
export type ButtonProps = ButtonDataProps & ButtonStyle & HTMLButtonProps;
