export declare const BREAKPOINTS: {
    readonly desktop: "1920px";
    readonly laptop: "1279px";
    readonly tablet: "1023px";
    readonly mobile: "767px";
};
export type Breakpoints = keyof typeof BREAKPOINTS;
export type BreakpointsWithDefault = Breakpoints | 'default';
export declare const MAX_WIDTH_QUERY: {
    desktop: string;
    laptop: string;
    tablet: string;
    mobile: string;
};
export type BreakpointKeyObj<T> = Partial<Record<BreakpointsWithDefault, T>>;
