import React, { ReactNode } from 'react';
import { DefaultTheme } from 'styled-components';
import { Color } from './colors';
export type CustomThemeType = DefaultTheme & {
    colors: Record<Color, string>;
};
declare const themes: {
    colors: {
        readonly transparent: "transparent";
        readonly black: "#000000";
        readonly gray1000: "#191919";
        readonly gray900: "#323232";
        readonly gray800: "#4B4B4B";
        readonly gray700: "#646464";
        readonly gray600: "#7D7D7D";
        readonly gray500: "#969696";
        readonly gray400: "#AFAFAF";
        readonly gray300: "#C8C8C8";
        readonly gray200: "#E1E1E1";
        readonly gray100: "#FAFAFA";
        readonly white: "#FFFFFF";
        readonly hyperlink: "#007AFF";
        readonly error: "#F25858";
        readonly hoverLayer: "rgba(0,0,0,0.2)";
        readonly focusLayer: "rgba(255,255,255,0.2)";
        readonly boxShadow: "#0000001A";
    };
    transition: {
        normal: string;
    };
};
export declare const KdanUiThemeProvider: React.FC<{
    children: ReactNode;
}>;
export default themes;
